summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authormalosek <malosek@fastmq.com>2010-02-20 21:03:12 +0100
committermalosek <malosek@fastmq.com>2010-02-20 21:03:12 +0100
commitff99d753ae30a7b5fef730fdcf1643e2928d9993 (patch)
tree2b65eaf1645bb1df53bef272f7d1f966e5d36fd8
parent740e531fbb47ad324737c075251c674e9dced6f1 (diff)
Minor buid system tunning
-rwxr-xr-xautogen.sh8
-rw-r--r--configure.in1
2 files changed, 8 insertions, 1 deletions
diff --git a/autogen.sh b/autogen.sh
index 2ff75d7..2b954af 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -26,6 +26,14 @@ if [ $? -ne 0 ]; then
exit 1
fi
+libtool --version > /dev/null 2>&1
+if [ $? -ne 0 ]; then
+ echo
+ echo "Could not find libtool, libtool.m4 macro is probably not installed."
+ echo
+ exit 1
+fi
+
mkdir -p config
if [ $? -ne 0 ]; then
echo
diff --git a/configure.in b/configure.in
index f182281..4268809 100644
--- a/configure.in
+++ b/configure.in
@@ -613,7 +613,6 @@ AC_SUBST(LIBZMQ_EXTRA_LDFLAGS)
# Checks for library functions.
-AC_FUNC_MALLOC
AC_TYPE_SIGNAL
AC_CHECK_FUNCS(perror gettimeofday memset socket getifaddrs freeifaddrs)